QCONF(1)

NAME
qconf - Grid Engine Queue Configuration

SYNTAX
qconf options

DESCRIPTION
Qconf allows the system administrator to add, delete, and modify the current Grid Engine configuration, including queue management, host management, complex management and user management. Qconf also allows you to examine the current queue configuration for existing queues.

Qconf allows the use of the backslash, '\', character at the end of a line to indicate that the next line is a continuation of the current line. When displaying settings, such as the output of one of the -s* options, qconf will break up long lines (lines greater than 80 characters) into smaller lines using backslash line continuation where possible. Lines will only be broken up at commas or whitespace. This feature can be disabled by setting the SGE_SINGLE_LINE environment variable.

OPTIONS
Unless denoted otherwise, the following options and the corresponding operations are available to all users with a valid account.

-Aattr obj_spec fname obj_instance,...
        <add to object attributes>
    Similar to -aattr (see below) but takes specifications for the object attributes to be enhanced from file named fname. As opposed to -aattr, multiple attributes can be enhanced. Their specification has to be enlisted in fname following the file format of the corresponding object (see for the queue, for example).
    Requires root/manager privileges.

-Acal fname	<add calendar>
    Adds a new calendar definition to the Grid Engine environment. Calendars are used in Grid Engine for defining availability and unavailability schedules of queues. The format of a calendar definition is described in

    The calendar definition is taken from the file fname. Requires root/ manager privileges.

-Ackpt fname	<add ckpt. environment>
    Add the checkpointing environment as defined in fname (see to the list of supported checkpointing environments. Requires root or manager privileges.

-Aconf file_list	<add configurations>
    Add the cluster configurations (see specified in the files enlisted in the comma separated file_list. The configuration is added for the host that is identical to the file name.
    Requires root or manager privileges.

-Ae fname	<add execution host>
    Add the execution host defined in fname to the Grid Engine cluster. The format of the execution host specification is described in Requires root or manager privileges.

-Ahgrp file		<add host group config>
    Add the host group configuration defined in file. The file format of file must comply to the format specified in Requires root or manager privileges.

-Ap fname	<add PE configuration>
    Add the parallel environment (PE) defined in fname to the Grid Engine cluster. Requires root or manager privileges.

-Aprj fname	<add new project>
    Adds the project description defined in fname to the list of registered projects (see Requires root or manager privileges.

-Aq fname	<add new queue>
    Add the queue defined in fname to the Grid Engine cluster. Requires root or manager privileges.

-Au fname	<add an ACL>
    Add the user access list (ACL) defined in fname to Grid Engine. User lists are used for queue usage authentication. Requires root/manager/operator privileges.

-Dattr obj_spec fname obj_instance,...
        <del. from object attribs>
    Similar to -dattr (see below) but the definition of the list attributes from which entries are to be deleted is contained in the file named fname. As opposed to -dattr, multiple attributes can be modified. Their specification has to be enlisted in fname following the file format of the corresponding object (see for the queue, for example).
    Requires root/manager privileges.

-Mattr obj_spec fname obj_instance,...
        <mod. object attributes>
    Similar to -mattr (see below) but takes specifications for the object attributes to be modified from file named fname. As opposed to -mattr, multiple attributes can be modified. Their specification has to be enlisted in fname following the file format of the corresponding object (see for the queue, for example).
    Requires root/manager privileges.

-Mc fname	<modify complex>
    Overwrites the complex configuration by the contents of fname. The argument file must comply to the format specified in Requires root or manager privilege.

-Mcal fname	<modify calendar>
    Overwrites the calendar definition as specified in fname. The argument file must comply to the format described in Requires root or manager privilege.

-Mckpt fname	<modify ckpt. environment>
    Overwrite an existing checkpointing environment with the definitions in fname (see The name attribute in fname has to match an existing checkpointing environment. Requires root or manager privileges.

-Me fname	<modify execution host>
    Overwrites the execution host configuration for the specified host with the contents of fname, which must comply to the format defines in Requires root or manager privilege.

-Mhgrp file		<modify host group config.>
    Allows changing of host group configuration with a single command. All host group configuration entries contained in file will be applied. Configuration entries not contained in file will be deleted. The file format of file must comply to the format specified in

-Mp fname	<modify PE configuration>
    Same as -mp (see below) but instead of invoking an editor to modify the PE configuration the file fname is considered to contain a changed configuration. Refer to for details on the PE configuration format. Requires root or manager privilege.

-Mprj fname	<modify project config.>
    Same as -mprj (see below) but instead of invoking an editor to modify the project configuration the file fname is considered to contain a changed configuration. Refer to for details on the project configuration format. Requires root or manager privilege.

-Mq fname	<modify queue configuration>
    Same as -mq (see below) but instead of invoking an editor to modify the queue configuration the file fname is considered to contain a changed configuration. Refer to for details on the queue configuration format. Requires root or manager privilege.

-Mstree fname	<modify share tree>
    Modifies the definition of the share tree (see The modified sharetree is read from file fname. Requires root or manager privileges.

-Mu fname	<modify ACL>
    Takes the user access list (ACL) defined in fname to overwrite any existing ACL with the same name. See for information on the ACL configuration format. Requires root or manager privilege.

-Muser fname	<modify user>
    Modify the user defined in fname in the Grid Engine cluster. The format of the user specification is described in Requires root or manager privileges.

-Rattr obj_spec fname obj_instance,...
        <replace object attribs>
    Similar to -rattr (see below) but the definition of the list attributes whose content is to be replace is contained in the file named fname. As opposed to -rattr, multiple attributes can be modified. Their specification has to be enlisted in fname following the file format of the corresponding object (see for the queue, for example).
    Requires root/manager privileges.

-aattr obj_spec attr_name val obj_instance,...
       <add to object attributes>
    Allows adding specifications to a single configuration list attribute in multiple instances of an object with a single command. Currently supported objects are the queue, the host, the host group, the parallel environment and the checkpointing interface configuration being specified as queue , exechost , hostgroup , pe or ckpt in obj_spec. For the obj_spec queue the obj_instance can be a cluster queue name, a queue domain name or a queue instance name. Find more information concerning different queue names in Depending on the type of the obj_instance this adds to the cluster queues attribute sublist the cluster queues implicit default configuration value or the queue domain configuration value or queue instance configuration value. The queue load_thesholds parameter is an example of a list attribute. With the -aattr option, entries can be added to such lists, while they can be deleted with -dattr, modified with -mattr, and replaced with -rattr.
    The name of the configuration attribute to be enhanced is specified with attr_name followed by val as a name=value pair. The comma separated list of object instances (e.g., the list of queues) to which the changes have to be applied are specified at the end of the command.
    The following restriction applies: For the exechost object the load_values attribute cannot be modified (see
    Requires root or manager privileges.

-acal calendar_name	<add calendar>
    Adds a new calendar definition to the Grid Engine environment. Calendars are used in Grid Engine for defining availability and unavailability schedules of queues. The format of a calendar definition is described in

    With the calendar name given in the option argument qconf will open a temporary file and start up the text editor indicated by the environment variable EDITOR (default editor is if EDITOR is not set). After entering the calendar definition and closing the editor the new calendar is checked and registered with Requires root/manager privileges.

-ackpt ckpt_name	<add ckpt. environment>
    Adds a checkpointing environment under the name ckpt_name to the list of checkpointing environments maintained by Grid Engine and to be usable to submit checkpointing jobs (see for details on the format of a checkpointing environment definition). Qconf retrieves a default checkpointing environment configuration and executes (or $EDITOR if the EDITOR environment variable is set) to allow you to customize the checkpointing environment configuration. Upon exit from the editor, the checkpointing environment is registered with Requires root/manager privileges.

-aconf host,...	<add configuration>
    Successively adds cluster configurations (see For the hosts in the comma separated file_list. For each host, an editor ($EDITOR indicated or is invoked and the configuration for the host can be entered. The configuration is registered with after saving the file and quitting the editor.
    Requires root or manager privileges.

-ae [host_template]	<add execution host>
    Adds a host to the list of Grid Engine execution hosts. If a queue is configured on a host this host is automatically added to the Grid Engine execution host list. Adding execution hosts explicitly offers the advantage to be able to specify parameters like load scale values with the registration of the execution host. However, these parameters can be modified (from their defaults) at any later time via the -me option described below.
    If the host_template argument is present, qconf retrieves the configuration of the specified execution host from or a generic template otherwise. The template is then stored in a file and qconf executes (or the editor indicated by $EDITOR if the EDITOR environment variable is set) to change the entries in the file. The format of the execution host specification is described in When the changes are saved in the editor and the editor is quit the new execution host is registered with Requires root/manager privileges.

-ah hostname,...	<add administrative host>
    Adds hosts hostname to the Grid Engine trusted host list (a host must be in this list to execute administrative Grid Engine commands, the sole exception to this being the execution of qconf on the node). The default Grid Engine installation procedures usually add all designated execution hosts (see the -ae option above) to the Grid Engine trusted host list automatically. Requires root or manager privileges.

-ahgrp group		<add host group config.>
    Adds a new host group with the name specified in group. This command invokes an editor (either or the editor indicated by the EDITOR environment variable). The new host group entry is registered after changing the entry and exiting the editor. Requires root or manager privileges.

-am user,...	<add managers>
    Adds the indicated users to the Grid Engine manager list. Requires root or manager privileges.

-ao user,...	<add operators>
    Adds the indicated users to the Grid Engine operator list. Requires root/manager privileges.

-ap pe_name	<add new PE>
    Adds a Parallel Environment (PE) description under the name pe_name to the list of PEs maintained by Grid Engine and to be usable to submit parallel jobs (see for details on the format of a PE definition). Qconf retrieves a default PE configuration and executes (or $EDITOR if the EDITOR environment variable is set) to allow you to customize the PE configuration. Upon exit from the editor, the PE is registered with Requires root/manager privileges.

-aprj	<add new project>
    Adds a project description to the list of registered projects (see Qconf retrieves a template project configuration and executes (or $EDITOR if the EDITOR environment variable is set) to allow you to customize the new project. Upon exit from the editor, the template is registered with Requires root or manager privileges.

-aq [queue_name]	<add new queue>
    Qconf retrieves the default queue configuration (see and executes (or $EDITOR if the EDITOR environment variable is set) to allow you to customize the queue configuration. Upon exit from the editor, the queue is registered with A minimal configuration requires only that the queue name and queue hostlist be set. Requires root or manager privileges.

-as hostname,...	<add submit hosts>
    Add hosts hostname to the list of hosts allowed to submit Grid Engine jobs and control their behavior only. Requires root or manager privileges.

-astnode node_path=shares,...	<add share tree node>
    Adds the specified share tree node(s) to the share tree (see The node_path is a hierarchical path ([/]node_name[[/.]node_name...]) specifying the location of the new node in the share tree. The base name of the node_path is the name of the new node. The node is initialized to the number of specified shares. Requires root or manager privileges.

-astree	<add share tree>
    Adds the definition of a share tree to the system (see A template share tree is retrieved and an editor (either or the editor indicated by $EDITOR) is invoked for modifying the share tree definition. Upon exiting the editor, the modified data is registered with Requires root or manager privileges.

-Astree fname	<add share tree>
    Adds the definition of a share tree to the system (see from the file fname. Requires root or manager privileges.

-au user,... acl_name,...	<add users to ACLs>
    Adds users to Grid Engine user access lists (ACLs). User lists are used for queue usage authentication. Requires root/manager/operator privileges.

-Auser fname	<add user>
    Add the user defined in fname to the Grid Engine cluster. The format of the user specification is described in Requires root or manager privileges.

-auser	<add user>
    Adds a user to the list of registered users (see This command invokes an editor (either or the editor indicated by the EDITOR environment variable) for a template user. The new user is registered after changing the entry and exiting the editor. Requires root or manager privileges.

-clearusage	<clear sharetree usage>
    Clears all user and project usage from the sharetree. All usage will be initialized back to zero.

-cq wc_queue_list	<clean queue>
    Cleans queue from jobs which haven't been reaped. Primarily a development tool. Requires root/manager/operator privileges. Find a description of wc_queue_list in

-dattr obj_spec attr_name val obj_instance,...
        <delete in object attribs>
    Allows deleting specifications in a single configuration list attribute in multiple instances of an object with a single command. Find more information concerning obj_spec and obj_instance in the description of -aattr

-dcal calendar_name,...	<delete calendar>
    Deletes the specified calendar definition from Grid Engine. Requires root/manager privileges.

-dckpt ckpt_name	<delete ckpt. environment>
    Deletes the specified checkpointing environment. Requires root/manager privileges.

-dconf host,...	<delete configuration>
    The configuration entry for the specified hosts is deleted from the configuration list. Requires root or manager privilege.

-de host_name,...	<delete execution host>
    Deletes hosts from the Grid Engine execution host list. Requires root/manager privileges.

-dh host_name,...	<delete administrative host>
    Deletes hosts from the Grid Engine trusted host list. The host on which is currently running cannot be removed from the list of administrative hosts. Requires root/manager privileges.

-dm user[,user,...]	<delete managers>
    Deletes managers from the manager list. Requires root/manager privileges.

-do user[,user,...]	<delete operators>
    Deletes operators from the operator list. Requires root/manager privileges.

-dp pe_name	<delete parallel environment>
    Deletes the specified parallel environment (PE). Requires root/manager privileges.

-dprj project,...	<delete projects>
    Deletes the specified project(s). Requires root/manager privileges.

-dq queue_name,...	<delete queue>
    Removes the specified queue(s). Active jobs will be allowed to run to completion. Requires root/manager privileges.

-ds host_name,...	<delete submit host>
    Deletes hosts from the Grid Engine submit host list. Requires root/manager privileges.

-dstnode node_path,...	<delete share tree node>
    Deletes the specified share tree node(s). The node_path is a hierarchical path ([/]node_name[[/.]node_name...]) specifying the location of the node to be deleted in the share tree. Requires root or manager privileges.

-dstree	<delete share tree>
    Deletes the current share tree. Requires root or manager privileges.

-du user,... acl_name,...	<delete users from ACL>
    Deletes one or more users from one or more Grid Engine user access lists (ACLs). Requires root/manager/operator privileges.

-dul acl_name,...	<delete user lists>
    Deletes one or more user lists from the system. Requires root/manager/operator privileges.

-duser user,...	<delete users>"
    Deletes the specified user(s) from the list of registered users. Requires root or manager privileges.

-help
    Prints a listing of all options.

-k{m|s|e[j] {host,...|all}}	<shutdown Grid Engine>
    Used to shutdown Grid Engine components (daemons). In the form -km is forced to terminate in a controlled fashion. In the same way the -ks switch causes termination of Shutdown of running processes currently registered is initiated by the -ke option. If -kej is specified instead, all jobs running on the execution hosts are aborted prior to termination of the corresponding The comma separated host list specifies the execution hosts to be addressed by the -ke and -kej option. If the keyword all is specified instead of a host list, all running processes are shutdown.
    Requires root or manager privileges.

-kec {id,...|all}	<kill event client>
    Used to shutdown event clients registered at The comma separated event client list specifies the event clients to be addressed by the -kec option. If the keyword all is specified instead of an event client list, all running event clients except special clients like the are terminated. Requires root or manager privilege.

-mattr obj_spec attr_name val obj_instance,...
        <modify object attributes>
    Allows changing a single configuration attribute in multiple instances of an object with a single command. Find more information concerning obj_spec and obj_instance in the description of -aattr

-mc	<modify complex>
    The complex configuration (see is retrieved, an editor is executed (either or the editor indicated by $EDITOR) and the changed complex configuration is registered with upon exit of the editor. Requires root or manager privilege.

-mcal calendar_name	<modify calendar>
    The specified calendar definition (see is retrieved, an editor is executed (either or the editor indicated by $EDITOR) and the changed calendar definition is registered with upon exit of the editor. Requires root or manager privilege.

-mckpt ckpt_name	<modify ckpt. environment>
    Retrieves the current configuration for the specified checkpointing environment, executes an editor (either or the editor indicated by the EDITOR environment variable) and registers the new configuration with the Refer to for details on the checkpointing environment configuration format. Requires root or manager privilege.

-mconf [host,...|global]	<modify configuration>
    The configuration for the specified host is retrieved, an editor is executed (either or the editor indicated by $EDITOR) and the changed configuration is registered with upon exit of the editor. If the optional host argument is omitted or if the special host name "global" is specified, the cell global configuration is modified. The format of the host configuration is described in
    Requires root or manager privilege.

-me hostname	<modify execution host>
    Retrieves the current configuration for the specified execution host, executes an editor (either or the editor indicated by the EDITOR environment variable) and registers the changed configuration with upon exit from the editor. The format of the execution host configuration is described in Requires root or manager privilege.

-mhgrp group <modify host group configuration>
    The host group entries for the host group specified in group are retrieved and an editor (either or the editor indicated by the EDITOR environment variable) is invoked for modifying the host group configuration. By closing the editor, the modified data is registered. The format of the host group configuration is described in Requires root or manager privileges.

-mp pe_name	<modify PE configuration>
    Retrieves the current configuration for the specified parallel environment (PE), executes an editor (either or the editor indicated by the EDITOR environment variable) and registers the new configuration with the Refer to for details on the PE configuration format. Requires root or manager privilege.

-mprj project	<modify project>
    Data for the specific project is retrieved (see and an editor (either or the editor indicated by $EDITOR) is invoked for modifying the project definition. Upon exiting the editor, the modified data is registered. Requires root or manager privileges.

-mq queuename	<modify queue configuration>
    Retrieves the current configuration for the specified queue, executes an editor (either or the editor indicated by the EDITOR environment variable) and registers the new configuration with the Refer to for details on the queue configuration format. Requires root or manager privilege.

-msconf	<modify scheduler configuration>
    The current scheduler configuration (see is retrieved, an editor is executed (either or the editor indicated by $EDITOR) and the changed configuration is registered with upon exit of the editor. Requires root or manager privilege.

-Msconf fname	<modify scheduler configuration from file>
    The current scheduler configuration (see is overridden with the configuration specified in the file. Requires root or manager privilege.

-mstnode node_path=shares,...	<modify share tree node>
    Modifies the specified share tree node(s) in the share tree (see The node_path is a hierarchical path ([/]node_name[[/.]node_name...]) specifying the location of an existing node in the share tree. The node is set to the number of specified shares. Requires root or manager privileges.

-mstree	<modify share tree>
    Modifies the definition of the share tree (see The present share tree is retrieved and an editor (either or the editor indicated by $EDITOR) is invoked for modifying the share tree definition. Upon exiting the editor, the modified data is registered with Requires root or manager privileges.

-mu acl_name	<modify user access lists>
    Retrieves the current configuration for the specified user access list, executes an editor (either or the editor indicated by the EDITOR environment variable) and registers the new configuration with the Requires root or manager privilege.

-muser user	<modify user>
    Data for the specific user is retrieved (see and an editor (either or the editor indicated by the EDITOR environment variable) is invoked for modifying the user definition. Upon exiting the editor, the modified data is registered. Requires root or manager privileges.

-purge queue attr_nm,... obj_spec
       <purge divergent attribute settings>
    Delete the values of the attributes defined in attr_nm from the object defined in obj_spec. Obj_spec can be "queue_instance" or "queue_domain". The names of the attributes are described in
    This operation only works on a single queue instance or domain. It cannot be used on a cluster queue. In the case where the obj_spec is "queue@@hostgroup", the attribute values defined in attr_nm which are set for the indicated hostgroup are deleted, but not those which are set for the hosts contained by that hostgroup. If the attr_nm is '*', all attribute values set for the given queue instance or domain are deleted.
    The main difference between -dattr and -purge is that -dattr removes a value from a single list attribute, whereas -purge removes one or more overriding attribute settings from a cluster queue configuration. With -purge, the entire attribute is deleted for the given queue instance or queue domain.

-rattr obj_spec attr_name val obj_instance,...
        <replace object attributes>
    Allows replacing a single configuration list attribute in multiple instances of an object with a single command. Find more information concerning obj_spec and obj_instance in the description of -aattr .
    Requires root or manager privilege.

-rsstnode node_path,...	<show share tree node>
    Recursively shows the name and shares of the specified share tree node(s) and the names and shares of its child nodes. (see The node_path is a hierarchical path ([/]node_name[[/.]node_name...]) specifying the location of a node in the share tree.

-sc	<show complexes>
    Display the complex configuration.

-scal calendar_name	<show calendar>
    Display the configuration of the specified calendar.

-scall	<show calendar list>
    Show a list of all calendars currently defined.

-sckpt ckpt_name	<show ckpt. environment>
    Display the configuration of the specified checkpointing environment.

-sckptl	<show ckpt. environment list>
    Show a list of the names of all checkpointing environments currently configured.

-sconf [host,...|global]	<show configuration>
    Print the cluster configuration being in effect globally or on specified host(s). If the optional comma separated host list argument is omitted or the special string global is given, the global cell configuration is displayed. For any other hostname in the list the merger of the global configuration and the host specific configuration is displayed. The format of the host configuration is described in

-sconfl	<show configuration list>
    Display a list of hosts for which configurations are available. The special host name "global" refers to the cell global configuration.

-sds	<show detached settings>
    Displays detached settings in the cluster configuration.

-se hostname	<show execution host>
    Displays the definition of the specified execution host.

-sel	<show execution hosts>
    Displays the Grid Engine execution host list.

-secl	<show event clients>
    Displays the Grid Engine event client list.

-sep	<show licensed processors>
    Displays a list of number of processors which are licensed per execution host and in total.

-sh	<show administrative hosts>
    Displays the Grid Engine administrative host list.

-shgrp group		<show host group config.>
    Displays the host group entries for the group specified in group.

-shgrpl		<show host group lists>
    Displays a name list of all currently defined host groups which have a valid host group configuration.

-shgrp_tree group     <show host group tree>
    Shows a tree like structure of host group.

-shgrp_resolved       <show host group hosts>
    Shows a list of all hosts which are part of the definition of host group. If the host group definition contains sub host groups than also these groups are resolved and the hostnames are printed.

-sm	<show managers>
    Displays the managers list.

-so	<show operators>
    Displays the operator list.

-sobjl obj_spec attr_name val	<show object list>
    Shows a list of all configuration objects for which val matches at least one configuration value of the attributes whose name matches with attr_name.

    Obj_spec can be "queue" or "queue_domain" or "queue_instance" or "exechost". Note: When "queue_domain" or "queue_instance" is specified as obj_spec matching is only done with the attribute overridings concerning the host group or the execution host. In this case queue domain names resp. queue instances are returned.

    Attr_name can be any of the configuration file keywords enlisted in or Also wildcards can be used to match multiple attributes.

    Val can be an arbitrary string or a wildcard expression.

-sp pe_name	<show PE configuration>
    Show the definition of the parallel environment (PE) specified by the argument.

-spl	<show PE-list>
    Show a list of all currently defined parallel environments (PEs).

-sprj project	<show project>
    Shows the definition of the specified project (see

-sprjl	<show project list>
    Shows the list of all currently defined projects.

-sq wc_queue_list	<show queues>
    Displays one or multiple cluster queues or queue instances. A description of wc_queue_list can be found in

-sql	<show queue list>
    Show a list of all currently defined cluster queues.

-ss	<show submit hosts>
    Displays the Grid Engine submit host list.

-ssconf	<show scheduler configuration>
    Displays the current scheduler configuration in the format explained in

-sstnode node_path,...	<show share tree node>
    Shows the name and shares of the specified share tree node(s) (see The node_path is a hierarchical path ([/]node_name[[/.]node_name...]) specifying the location of a node in the share tree.

-sstree	<show share tree>
    Shows the definition of the share tree (see

-sss	<show scheduler status>
    Currently displays the host on which the Grid Engine scheduler is active or an error message if no scheduler is running.

-su acl_name	<show user ACL>
    Displays a Grid Engine user access list (ACL).

-sul	<show user lists>
    Displays a list of names of all currently defined Grid Engine user access lists (ACLs).

-suser user,...	<show user>
    Shows the definition of the specified user(s) (see

-suserl	<show users>
    Shows the list of all currently defined users.

-tsm	<trigger scheduler monitoring>
    The Grid Engine scheduler is forced by this option to print trace messages of its next scheduling run to the file <sge_root>/<cell>/common/schedd_runlog. The messages indicate the reasons for jobs and queues not being selected in that run. Requires root or manager privileges.

    Note, that the reasons for job requirements being invalid with respect to resource availability of queues are displayed using the format as described for the -F option (see description of Full Format in section OUTPUT FORMATS of the manual page.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine cell. To address a Grid Engine cell qconf uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

SGE_QMASTER_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

SGE_EXECD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

SGE_SINGLE_LINE
    If set, indicates that long lines should not be broken up using backslashes. This setting is useful for scripts which expect one entry per line.

RESTRICTIONS
Modifications to a queue configuration do not affect an active queue, taking effect on next invocation of the queue (i.e., the next job).

FILES
<sge_root>/<cell>/common/act_qmaster
	Grid Engine master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.